Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-81700

Cannot use "osm" geoservice plugin with static version of Qt

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Reported
    • Priority: P2: Important
    • Resolution: Unresolved
    • Affects Version/s: 5.14.0
    • Fix Version/s: None
    • Component/s: Location
    • Labels:
      None
    • Platform/s:
      All

      Description

      I successfully compiled Qt 5.14.0 statically from sources with the following configure command:

      configure -verbose -developer-build -opensource -confirm-license -release -static -static-runtime -no-reduce-relocations -gui -widgets -skip qtdocgallery -skip qtwayland -skip qtwebengine -no-compile-examples -make libs -make tools -nomake tests -nomake examples

       

      I also successfully build and link my application to static Qt. In my cmakelist file I used what is described in documentation:

      find_package(Qt5 5.14 COMPONENTS Core Quick Positioning Location QmlImportScanner REQUIRED)

      target_link_libraries(myApp PRIVATE Qt5::Core Qt5::Quick Qt5::Positioning Qt5::Location)

      qt5_import_qml_plugins(myApp)

       

      My QML file looks like this:

      import QtQuick 2.14

      import QtLocation 5.14

      import QtPositioning 5.14

      Map {

          id: map

          anchors.fill: parent

          plugin: Plugin

      {         id: mapPlugin         name: "osm"     }

          center: QtPositioning.coordinate(0.0, 0.0)

      }

      When I run my application, I got the following error:

      1, "The geoservices provider is not supported."

       

      When building and linking with dynamic Qt 5.14.0, everything works fine.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            ablasche Alex Blasche
            Reporter:
            tje T J
            Votes:
            1 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes